import { defineComponent as n, computed as u, openBlock as t, createBlock as m, unref as d, isRef as k, normalizeClass as c, normalizeProps as f, mergeProps as P } from "vue";
import { _ as V } from "./constants-29d3b8ff.js";
import { K as g } from "./KapixDatetimePicker-2f3610df.js";
import { a6 as h, a7 as C, as as D, a9 as y } from "./index-9ceb1eb9.js";
import "@vueuse/core";
import "lodash-es";
import "axios";
import "vue-i18n";
const K = `.kapix-date-picker{width:100%;height:100%;min-width:0;min-height:0}
`, R = /* @__PURE__ */ n({
  __name: "KapixDatePicker",
  props: h([Date, String]),
  emits: ["update:modelValue"],
  setup(i, { emit: s }) {
    C("KapixDatePicker", K);
    const a = i, p = s, o = u({
      get() {
        return D(y(a));
      },
      set(e) {
        var r;
        p("update:modelValue", e), (r = a.onValueChanged) == null || r.call(a, e);
      }
    });
    return (e, r) => e.editable ? (t(), m(g, {
      key: 0,
      modelValue: d(o),
      "onUpdate:modelValue": r[0] || (r[0] = (l) => k(o) ? o.value = l : null),
      markers: e.options.markers,
      "marker-date-prop": e.options.markerDateProp,
      "marker-color": e.options.markerColor,
      class: c([e.templateClass, "kapix-date-picker"])
    }, null, 8, ["modelValue", "markers", "marker-date-prop", "marker-color", "class"])) : (t(), m(V, f(P({ key: 1 }, a)), null, 16));
  }
});
export {
  R as default
};
